2010-07-25  Zoltan Varga  <vargaz@gmail.com>

	* configure.ac src/eglib-config.h.in src/eglib-config.hw: Define G_GINT64_FORMAT.

2010-07-20  Zoltan Varga  <vargaz@gmail.com>

	* src/glib.h (G_LIKELY): Implement these for gcc properly.

2010-07-19  Miguel de Icaza  <miguel@novell.com>

	* src/gmisc-win32.c (g_getenv): Distinguish between variable not
	found and an empty variable.

	This should fix 566152

2010-07-19  Zoltan Varga  <vargaz@gmail.com>

	* src/glib.h (G_MAXUINT64): Define this. Fixes #623293.

	* src/eglib-config.hw: Define UINT64_MAX.

2010-07-16 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* src/gmisc-unix.c: include config.h. Fixes bug #609632.
	Use getpwuid_r instead of getpwent_r.

2010-07-02  Zoltan Varga  <vargaz@gmail.com>

	* src/glib.h: Define gboolean as int32_t to match mono_bool.

2010-06-22  Rodrigo Kumpera  <rkumpera@novell.com>

	* src/ghashtable.c: Add code to sanity check the
	hashtable contents. This is invaluable, for example,
	to catch bugs where a key hashcode changes after
	insertion.

2010-06-18  Chris Toshok  <toshok@ximian.com>

	patch from Jacob Berkman:

	* src/glib.h (g_mkdir): #define to mkdir
	(g_ascii_strtoull): #define to strtoull

	* src/gmodule.h: add G_BEGIN/END_DECLS

	* src/gstr.c (g_strdupv): new function.

2010-06-18  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* src/eglib-remap.h: Remap g_ptr_array_remove_fast too.

2010-06-15  Zoltan Varga  <vargaz@gmail.com>

	* src/gunicode.c: Applied patch from Hib Eris <hib@hiberis.nl>. use "windows.h"
	instead of "Windows.h".

2010-05-25  Zoltan Varga  <vargaz@gmail.com>

	* Applied patch from Burkhard Linke (blinke@cebitec.uni-bielefeld.de). Fix
	building on solaris.

2010-05-21  Zoltan Varga  <vargaz@gmail.com>

	* src/gmisc-win32.c (g_setenv): Use the
	GetEnvironmentVariableW/SetEnvironmentVariableW variants.

2010-05-15  Zoltan Varga  <vargaz@gmail.com>

	* src/glib.h (g_error): Add a for (;;) after the call to tell GCC this doesn't
	return, fixing some warnings.

2010-05-13  Alan McGovern  <amcgovern@novell.com>

	* src/gstring.c: Put in some null guards for the ctors

2010-05-11  Miguel de Icaza  <miguel@novell.com>

	* src/gunicode.c: Pull the Windows.h header when G_OS_WIN32 is
	defined. 

2010-05-11  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile.am : do not try to build test on windows (fails).
	* src/glib.h : fix cygwin build, do not include unistd.h.

2010-05-10  Miguel de Icaza  <miguel@novell.com>

	* gfile-win32.c: Port this to use the Win32 APIs to get this
	building with Cygwin.

2010-05-07  Andrew Jorgensen  <ajorgensen@novell.com>

	* test/test.h: Fix some compiler warning that SUSE takes seriously.

2010-05-06  Alan McGovern  <amcgovern@novell.com>

	* src/gmarkup.c: Fix a parser issue when skipping the xml declaration.

2010-05-06  Jonathan Chambers  <joncham@gmail.com>

	* gfile-win32.c: Use __stat64 instead of _stat64.

2010-05-04  Jonathan Chambers  <joncham@gmail.com>

	* gspawn.c: Remove extern define for MSVC.

2010-05-03  Zoltan Varga  <vargaz@gmail.com>

	* src/glib.h: Include unistd.h on !windows for pid_t.

	* gspawn.c: Add an extern define for environ on !apple platforms.

2010-05-02  Zoltan Varga  <vargaz@gmail.com>

	* src/glib.h: Include sys/types.h for pid_t.

2010-05-01  Zoltan Varga  <vargaz@gmail.com>

	* src/goutput.c (g_logv): Append a '\n' to the end of the string as glib does.

2010-04-28  Zoltan Varga  <vargaz@gmail.com>

	* configure.ac src/gspawn.c: Applied openbsd changes from Robert Nagy
	<robert@openbsd.org>.

2010-04-16  Miguel de Icaza  <miguel@novell.com>

	* src/gshell.c (g_shell_unquote): Implement this.

2010-04-25  Andreas Faerber  <andreas.faerber@web.de>

	* configure.ac: The iconv function may be libiconv_open.
	Fixes linking with GNU libiconv.

	Contributed under MIT/X11 license.

2010-04-23  Geoff Norton  <gnorton@novell.com>

	* configure.ac: The iconv function is iconv_open.

2010-04-19  Jonathan Pryor  <jpryor@novell.com>

	* src/glib.h: Rebase g_return_if_fail(), g_return_val_if_fail() in
	  terms of g_critical() instead of printf, and turn g_printerr() into
	  an actual function instead of a macro.
	* src/goutput.c: Add Android support, sending g_print(), g_printerr(),
	  and g_log() messages to the Android system log.

2010-04-16 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* test/ptrarray.c: new tests
	* src/gptrarray.c: implemented g_ptr_array_remove_fast().

2010-04-10  Andreas Faerber  <andreas.faerber@web.de>

	* configure.ac: Add checks for libm and libdl.
	* {src,test}/Makefile.am: Remove hardcoded library dependencies.
	Fixes compilation on Haiku.

	Contributed under MIT/X11 license.

2010-03-05  Zoltan Varga  <vargaz@gmail.com>

	* test/test.c (_GNU_SOURCE): Fix compilation if _GNU_SOURCE is already defined.


Thu Mar 4 16:34:37 CET 2010 Paolo Molaro <lupus@ximian.com>

	* src/unicode-data.h: save 70 KB.

Thu Mar 4 16:18:34 CET 2010 Paolo Molaro <lupus@ximian.com>

	* src/eglib-remap.h, src/glib.h: header file to remap the symbols
	so there is no clash with system glib.
	* src/Makefile.am: build static lib as well.

2010-03-04  Zoltan Varga  <vargaz@gmail.com>

	* configure.ac: Add a check for ISO varargs.

	* test/test.c: Fix the build.

	* src/glib.h src/goutput.c: Emit asserts through a g_assertion_message ()
	function which is decorated with G_GNUC_NORETURN, to fix many warnings when using
	the eglib build.

Mon Mar 1 17:12:24 CET 2010 Paolo Molaro <lupus@ximian.com>

	* src/unicode-data.h, src/gutf8.c: don't export private symbols.

2009-12-03  Zoltan Varga  <vargaz@gmail.com>

	* src/gmisc-unix.c (g_get_user_name): Avoid returning NULL if the env
	var is not set.

2009-10-15 Andreia Gaita <avidigal@novell.com>

	* src/gptrarray.c: implement g_ptr_array_remove_index_fast
	* src/glib.h: fix g_ptr_array_remove_index_fast declaration
	* test/ptrarray.c: new tests

2009-10-15 Andreia Gaita <avidigal@novell.com>

	* src/garray.c: (g_array_remove_index_fast) only move 1 element
	and not the whole shebang

2009-09-26 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* test/queue.c: new tests.
	* src/gqueue.c: fixed pop_head.

2009-09-26 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* src/gqueue.c: add g_queue_push_tail.

2009-06-20  Zoltan Varga  <vargaz@gmail.com>

	* src/glib.h: Add GUINT32_FROM/TO_BE macros.

2009-06-09  Jonathan Chambers <joncham@gmail.com>
	
	* CMakeLists.txt: Add start of CMake build.
	* src/CMakeLists.txt: Add start of CMake build.
	
	Contribution is licensed as MIT/X11.

2009-06-02  Bill Holmes  <billholmes54@gmail.com>

	* src/gpath.c (g_find_program_in_path):  While searching on Windows
	  also try additional suffixes .exe, .cmd, .bat, and.com.

	Contributed under MIT/X11 license.

2009-05-27  Geoff Norton  <gnorton@novell.com>

	* src/gfile-posix.c: Fix g_get_current_dir on amd64

2009-04-22  Jeffrey Stedfast  <fejj@novell.com>

	* src/gtimer-win32.c (g_timer_elapsed): Avoid re-querying freq by
	just saving it in a static variable. Also modified microseconds
	calculation to avoid overflow.

2009-04-05  Miguel de Icaza  <miguel@novell.com>

	* src/gpath.c: Avoid situations where we add the separator if one
	of the elements is the separator.

2009-04-02  Miguel de Icaza  <miguel@novell.com>

	* src/gpath.c: If the first element is NULL, return an empty
	string. 

2009-02-19 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* src/gstr.c: use memset in g_strnfill.

2009-01-19  Bill Holmes  <billholmes54@gmail.com>

	* src/gstr.c (g_strnfill):  Fixing a warning for MSVC.

	Contributed under MIT/X11 license.

2009-02-05  Miguel de Icaza  <miguel@novell.com>

	* src/gstr.c: Add g_strnfill

	* src/glib.h: Add g_list_previous

2009-01-19  Bill Holmes  <billholmes54@gmail.com>

	* gmisc-win32.c (g_path_is_absolute):  Adding support for UNC
	  paths on Windows.

	Contributed under MIT/X11 license.

2009-01-08  Bill Holmes  <billholmes54@gmail.com>

	* winconfig.h, src/gfile-posix.c :
	  Fixing the MSVC builds.

	Contributed under MIT/X11 license.

2009-01-07  Miguel de Icaza  <miguel@novell.com>

	* src/gfile-posix.c: Move g_get_current_dir, as it is a
	POSIX-esque feature, and some other systems do not have current
	directories. 

	* src/glib.h (G_LOCK_DEFINE, G_LOCK_DEFINE_STATIC): 

	Embedded support from Paolo's work on quack.
	
	* configure.ac: check for strtok_r, langinfo.h and iconv.h
	
	* src/gpath.c (strtok_r): Add a strtok_r implementation if it is
	not available on the target system.

2008-11-05  Bill Holmes  <billholmes54@gmail.com>

	* src/gutf8.c, src/unicode-data.h, src/gunicode.c :
	  Fixing the MSVC builds.

	Contributed under MIT/X11 license.

2008-11-04  Atsushi Enomoto  <atsushi@ximian.com>

	* src/gutf8.c, src/gunicode.c, src/glib.h:
	  implemented g_unichar_type(), g_unichar_toupper(),
	  g_unichar_tolower(), g_unichar_totitle(), g_utf8_strup()
	  and g_utf8_strdown(). Fixed some surrogate pair bugs.
	* TODO : removed implemented things.
	* test/unicode.c, test/tests.h, test/utf8.c, test/Makefile.am:
	  added new tests.

2008-11-04  Atsushi Enomoto  <atsushi@ximian.com>

	* src/unicode-data.h : new header for some new unicode manipulation
	  functions.

2008-10-17  Miguel de Icaza  <miguel@novell.com>

	* Allow types to be defined on the eglib-config.h file, that could
	be a platform specific generated type file.

	* gtimer.c: split functionality in platforms.

2008-10-13  Bill Holmes  <billholmes54@gmail.com>

	* src/gdate-win32.c : Fix compiler errors for MSVC.

	* src/gpath.c : Fix compiler errors for MSVC.

	* src/gfile-posix.c : Adding declaration for mkstemp for the win 32
	  implementation in gfile-win32.c.

	Contributed under MIT/X11 license.

2008-10-11  Miguel de Icaza  <miguel@novell.com>

	* gtimer.c: Same process.

	* src/glib.h: Move g_strdup here, to consolidate all allocations
	in this header, will help for merging the allocation work later. 

	* src/gpattern.c (compile_pattern): From Unity, use -1 in the enum
	for MatchType.

	* src/gpath.c: Split this one as well.

	* src/gmodule-win32.c, src/gmisc-unix.c, src/gmisc-win32.c,
	src/gmodule-unix.c: split functionality in platforms.
	
	* src/goutput.c (g_logv): On some platforms, before we abort we
	want to flush the stdout/stderr.

2008-10-10  Miguel de Icaza  <miguel@novell.com>

	* Split functionality that is operating system specific into
	-win32.c, -unix.c and -posix.c 

	* Use g_malloc everywhere, and g_free, so that these can be easily
	overwritten consistently.

2008-09-16  Bill Holmes  <billholmes54@gmail.com>

	* src/gunicode.c : Fix a warning.

	Contributed under MIT/X11 license.

2008-08-28  Bill Holmes  <billholmes54@gmail.com>

	* src/glib.h : Adding a c++ definition for G_BEGIN_DECLS.

	Contributed under MIT/X11 license.

2008-08-27  Bill Holmes  <billholmes54@gmail.com>

	* glib.h, gunicode.c : Fixing some compiler errors.

	Contributed under MIT/X11 license.

2008-08-20  Mike Voorhees <vernish13@gmail.com>

	* Patch from Mike Voorhees to fix various problems with
	g_utf8_validate compared to the glib implementation and unit tests
	to ensure that there are no regressions.

	From a mailing list post to mono-devel-list on August 19th, 2008

	[Mono-dev] utf8 related patches. Please review.

2008-08-20  Mike Voorhees  <vernish13@gmail.com>

	* src/glib.h : Adding declarations for g_utf8_strlen, g_utf8_get_char,
	and g_utf8_next_char.

	* src/gunicode.c : Adding implementation for g_utf8_strlen, g_utf8_get_char,
	and g_utf8_next_char.

	* src/gunicode.c : Rewrote g_utf8_validate.

	* test/utf8.c Adding tests for g_utf8_strlen, g_utf8_get_char,
	g_utf8_next_char, and g_utf8_validate.

	Contributed under MIT/X11 license.
	
2008-08-05  Andreas Faerber  <andreas.faerber@web.de>

	* autogen.sh: Suppress arguments warning for NOCONFIGURE.
	
	Contributed under MIT/X11 license.

2008-08-04  Bill Holmes  <billholmes54@gmail.com>

	* test/tests.h, test/Makefile.am, test/memory.c : Adding memory tests to test
	  allocation routines return NULL when 0 size is passed in.

	Contributed under MIT/X11 license.

2008-08-04  Bill Holmes  <billholmes54@gmail.com>

	* src/glib.h : Changing the allocation routines to return null if 0 size is
	  passed in.

	Contributed under MIT/X11 license.

2008-06-16  Zoltan Varga  <vargaz@gmail.com>

	* src/vasprintf.c (vasprintf): Applied patch from Michail Ushakov 
	<migelU@gmail.com>. Workaround broken vsnprintf on windows. Fixes
	#400445.

2008-06-11  Zoltan Varga  <vargaz@gmail.com>

	* src/goutput.c (g_log): Remove unnecessary and incorrect call to 
	g_strdup_printf (). Fixes #398918.

2008-05-01  Bill Holmes  <billholmes54@gmail.com>

	* src/glib.h : Adding declarations for g_ucs4_to_utf16 and g_utf16_to_ucs4.

	* src/gutf8.c : Adding implementation for g_ucs4_to_utf16 and g_utf16_to_ucs4.

	* test/utf8.c Adding tests for g_ucs4_to_utf16 and g_utf16_to_ucs4.

	Contributed under MIT/X11 license.

2008-04-20  Geoff Norton  <gnorton@novell.com>

	* src/gspan.c: Fix the _NSGetEnviron define to prevent an impropoer
	pointer dereference.

2008-03-19  Bill Holmes  <billholmes54@gmail.com>

	* src/gpath.c (g_path_is_absolute) : Adding a case for '/'
	  on Windows.
	
	* src/gpath.c (g_get_user_name) : On Windows add a check for %USERNAME%
	  when %USER% fails.

	* src/gstr.c (g_strsplit, g_strsplit_set):  Change to remove truncation
	  errors with MSVC build.

	* src/gstr.c (g_filename_to_uri, g_filename_from_uri):  Fixes to handle
	  Windows paths.

	* src/gstr.c (g_ascii_strncasecmp):  Convert each character to lower case
	  before comparing.

	* src/gunicode.c (g_get_charset):  Implement for Windows.

	Contributed under MIT/X11 license.

2008-03-12  Geoff Norton  <gnorton@novell.com>

	* src/gutf8.c: Implement g_ucs4_to_utf16 and g_utf16_to_ucs4 as
	asserts.  They're needed to build mono with eglib.
	* src/gutil.h: Add a few missing function declarations to the header.
	* src/gspawn.c: Some darwin implementations don't have crt_externs.h
	So we'll just define _NSGetEnviron() ourselves.
	* Makefile.am: Dont build test when cross compiling.
	* configure.ac: Define CROSS_COMPILING when cross compiling.
	Undefine _FORTIFY_SOURCE on arm-apple-darwin as the headers it 
	requires are not available.

2008-01-15  Andreas Faerber  <andreas.faerber@web.de>

	* configure.ac: Add default G_BREAKPOINT implementation.
	Fix typo in breakpoint CPU output.

2007-12-23  Zoltan Varga  <vargaz@gmail.com>

	* src/glib.h: Include <limits.h>. Fixes #350482.

2007-11-21  Dick Porter  <dick@ximian.com>

	* src/gslist.c (g_slist_find_custom): Implement

	* src/glist.c (g_list_find_custom): Implement

	* test/list.c: Test g_list_find_custom()

	* test/slist.c: Test g_slist_find_custom()

2007-11-20  Dick Porter  <dick@ximian.com>

	* src/gstr.c: Implement g_strsplit_set() and re-implement
	g_strsplit() so it passes the additional tests. (g_strsplit()
	should treat multi-char delimiters as just a single token, rather
	than a set of delimiters.)

	* src/gslist.c: Implement g_slist_index(), g_slist_nth() and
	g_slist_nth_data().

	* test/string-util.c: Test g_strsplit_set() and more tests for
	g_strsplit().

	* test/slist.c: Test g_slist_nth() and
	g_slist_index().

2007-11-06  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Check for libiconv_open as the previous check was failing against 
	some versions of libiconv.

2007-11-06  Andreas Faerber  <andreas.faerber@web.de>

	* test/Makefile.am: Fix noinst_PROGRAMS for automake 1.6.3
	                    Add support for VPATH

2007-11-06  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Determing if glib-2.0 is installed and set HAVE_GLIB appropriately
	* test/Makefile.am: Only build test-glib if glib-2.0 is available

2007-11-05  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Check for getpwent_r and wether libiconv is needed to be linked.
	Also look to see if we can use export-dynamic in the test suite.
	* test/Makefile.am: Get LDFLAGS from configure instead of setting them.
	* src/gerror.c: Implement g_clear_error.
	* src/glib.h: Only use the format, ... convention is HAVE_C99_SUPPORT is available.
	* src/gpath.c: Only use the getpwent_r codepath if getpwent_r is available.
	* src/gspawn.c: Define environ to call _NSGetEnviron() on Apple.
	* src/Makefile.am: Remove -Werror so we dont fail on different function declarations.
		Portions of all of the above are from Andreas Faerber & Jonathan Chambers
	
2007-10-31  Jonathan Chambers <joncham@gmail.com>
	
	* src/ghashtable.c: Add g_hash_table_foreach_steal.
	* src/garray.c: Add g_array_remove_index_fast.
	* src/gpath.c (g_path_is_absolute): Handle windows paths.
	* src/glib.h: Add g_hash_table_foreach_steal and g_array_remove_index_fast
	
	Contribution is licensed as MIT/X11.

2007-06-13  Jonathan Chambers <joncham@gmail.com>
	
	* src/gunicode.c: Add g_unichar_isxdigit and g_unichar_xdigit_value.
	* src/gmisc.c: Add g_win32_getlocale stub.
	* src/glib.h: Add declarations of above functions,
	GFreeFunc typedef, and CLAMP, GUINT_TO_LE, and threading
	macros.
	
	* test/string-util.c: Fix warning.
	* test/utf8.c: Add test for g_unichar_xdigit_value.
	
	Contribution is licensed as MIT/X11.

2007-05-05  Aaron Bockover  <abockover@novell.com>

	* src/gstr.c:
	* src/glib.h: Added g_ascii_tolower implementation; make g_ascii_strdown
	use it to do the transformation

	* test/string-util.c: Added a test for g_ascii_strdown

2007-04-27  Jonathan Chambers <joncham@gmail.com>
	
	* src/gstr.c: Fix off by one error in g_strdup allocation.

2007-04-27  Jonathan Chambers <joncham@gmail.com>
	
	* src/eglib-config.hw: Forgot to add for msvc build.
	* src/vasprintf: Forgot to add for msvc build.

2007-04-27  Jonathan Chambers <joncham@gmail.com>
	
	* src/gstr.c: Fix off by one error for NULL terminator.

2007-04-27  Jonathan Chambers <joncham@gmail.com>
	
	Combined patch from Michael Jerris <mike@jerris.com> and me.
	* winconfig.h: Config file for msvc builds.
	* configure.ac: Add AC_CHECK_HEADERS for getopt.h,  sys/time.h,
	sys/wait.h, and pwd.h.
	
	* src/gspawn.c: Include config.h and use HAVE_* macros.
	* src/eglib-config.h.in: Add inclusion guards.
	* src/ghashtable.c: Fix warnings.
	* src/gmisc.c: Windows implementation of g_getenv, g_setenv,
	and g_unsetenv.
	* src/gpath.c: Include config.h and use HAVE_* macros.
	* src/gmarkup.c: Fix warnings.
	* src/gptrarray.c: Fix warnings.
	* src/gstr.c: Fix warnings and use HAVE_* macros.
	* src/glib.h: Move macros to eglib-config.h and include it.
	* src/gdate.c: Implement g_get_current_time on windows.
	* src/gpattern.c: Fix warnings.
	* src/gdir.c: Implement g_dir on windows.
	* src/gfile.c: Implement mkstemp and g_file_test on windows.
	* src/gtimer.c: Implement g_timer on windows.
	* src/gmodule.c: Fix warnings.
	* src/gunicode.c: Fix warnings.
	* src/gutf8.c: Fix warnings.
	
	* test/ptrarray.c: Fix warnings.
	* test/string.c: Fix warnings.
	* test/list.c: Fix warnings.
	* test/pattern.c: Use HAVE_* macros.
	* test/dir.c: Use HAVE_* macros.
	* test/file.c: Use HAVE_* macros and use system specific files for tests.
	* test/test.c: Fix warnings and use HAVE_* macros.
	* test/timer.c: Use HAVE_* macros.
	* test/string-util.c: Fix warnings.
	* test/test.h: Supress warnings on msvc.
	* test/module.c: Use HAVE_* macros.
	* test/utf8.c: Fix warnings.
	* test/spawn.c: Use HAVE_* macros.
	* test/driver.c: Fix warnings and use HAVE_* macros.
	* test/path.c: Use HAVE_* macros and use system specific files for tests.
	* test/sizes.c: Fix warnings.

2007-04-24  Jonathan Chambers <joncham@gmail.com>
	
	Patch from Michael Jerris <mike@jerris.com>
	* src/gspawn.c: Start msvc build.
	* src/gpath.c: Start msvc build.
	* src/gmarkup.c: Start msvc build.
	* src/gshell.c: Start msvc build.
	* src/gstr.c: Start msvc build.
	* src/glist.c: Start msvc build.
	* src/glib.h: Start msvc build.
	* src/gdate.c: Start msvc build.
	* src/gpattern.c: Start msvc build.
	* src/gdir.c: Start msvc build.
	* src/gfile.c: Start msvc build.
	* src/gtimer.c: Start msvc build.
	* src/gmodule.c: Start msvc build.
	* src/gunicode.c: Start msvc build.

2007-01-27  Robert Jordan  <robertj@gmx.net>

	* test/Makefile.am: Add linker option to be able to
	load symbols from the main program.
	* test/module.c: Clean-ups.

2007-01-26  Robert Jordan  <robertj@gmx.net>

	* configure.ac: Add PLATFORM_WIN32 conditional.
	* src/Makefile.ac: Use PLATFORM_WIN32 conditional for psapi, iconv
	* test/module.c, test/tests.h, test/Makefile.am: New test for gmodule.
	* src/gmodule.h: Add G_MODULE_{IMPORT|EXPORT} defines.
	* src/gmodule.c (g_module_symbol): Implement in-proc symbol lookup
	for Win32.
	* src/gmodule.c: Add GModule.main_module, consider it in
	g_module_close ().
	* src/gpath.c (g_get_home_dir): Add dummy Win32 implementation to
	fix the build.

2006-11-03  Miguel de Icaza  <miguel@novell.com>

	* src/gpath.c (g_path_get_dirname): If the pathname starts with a
	"/", return the "/".

	* test/string-util.c (test_strlcpy): Add new test.

	* src/gunicode.c (g_filename_from_utf8): g_strlcpy needs the full
	size, with the extra zero at the end;  Fixes the stack trace
	issue. 

2006-10-30  Miguel de Icaza  <miguel@novell.com>

	* test/utf8.c (test_utf8_seq): Add new failing test.

2006-10-30  Atsushi Enomoto  <atsushi@ximian.com>

	* src/gutf8.c : several fixes:
	  - fixed incorrect mb_size clear and mb_remain computation.
	  - initialize items_written to 0 for error case.
	  - in utf8_to_utf16_len differentiate error messages completely.
	  - in g_utf8_to_utf16 use guchar instead of gchar.
	* test/utf8.c : added test case string in test_utf8_seq() to
	  both test_utf8_to_utf16() and test_utf16_to_utf8().

2006-10-21  Miguel de Icaza  <miguel@novell.com>

	* src/gunicode.c (g_filename_from_utf8): Use g_strlcpy here. 

	* src/gmarkup.c (g_markup_parse_context_parse): Do not dereference
	null values here.   This gets things a little bit further in
	corlib, but not too far.

	* src/gdir.c (g_dir_read_name): Do not return . or ..

	* src/gstr.c (g_ascii_xdigit_value): Make this into a function,
	thanks to Paolo for pointing the problem with the double macro
	expansion. 

	* src/gmodule.c (g_module_open): Actually return NULL if we fail
	to load the module (was hiding the real bug in the pinvoke tests).

	(g_module_build_path): Do not prepend "lib" if the "lib" is part
	of the call.

	* src/gstr.c (g_strsplit): this routine has some non-expected
	behavior, if the string begins with the delimiter, it will return
	an empty first string, unlike strtok

	* src/gpath.c (g_path_get_dirname): Return "." as a dirname for
	paths that do not contain a directory.

2006-10-18 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* test/array.c: new test for insertion in the middle of other values.
	* src/garray.c: fixed destination index.

2006-10-18  Miguel de Icaza  <miguel@novell.com>

	* src/gpath.c (g_build_path): Do not append terminator if the next
	string is empty.

	* src/gutf8.c (g_utf8_to_utf16): Include trailing zero as
	documented.
	(g_utf16_to_utf8): Include trailing zero as documented.

2006-10-17  Miguel de Icaza  <miguel@novell.com>

	* src/gstr.c (g_strdown): Actually move.

	* src/gmarkup.c (g_markup_parse_context_parse): Accept dots in the
	sequence, reset the state after a closing element.

	* src/garray.c (g_array_insert_vals): Shift the elements the
	correct amount.

	(g_array_insert_vals): Should actually use the
	number of elements to insert.

	* test/array.c: Add new test case, this was happening in the JIT. 

	* Add _GNU_SOURCE at configure time, remove from sources.
	
	* src/gstr.c (g_strsplit): Empty strings return a 0 value vector.

	* src/glib.h (G_MAXINT64, G_MININT64): Add another set of macros
	for the support stuff.
	
	Move private prototypes elsewhere

	* src/glib.h (g_thread_init): Adding missing brace
	(g_list_next): remove ; from the macro definition.

2006-10-17  Miguel de Icaza  <miguel@novell.com>

	* src/gutf8.c: internal methods

	* src/ghashtable.c: internal methods.

2006-10-16  Miguel de Icaza  <miguel@novell.com>

	* src/gerror.c (g_propagate_error): Implement.

	* src/gstr.c (g_strjoinv, g_ascii_strncasecmp): implement.

	* test/string-util.c (test_ascii_strncasecmp): test

2006-10-15  Miguel de Icaza  <miguel@novell.com>

	* configure.in: Fix detection of platforms the [3456] stuff does
	not work inside autoconf.

	* src/eglib-config.h.in: Make G_BREAKPOINT into a function-macro

	* src/glib.h (offsetof): Mono sources depend on this, bring this
	from the standard definition.  Redefine G_STRUCT_OFFSET in terms
	of this. 
	
	* src/glib.h (G_STRUCT_OFFSET): fix macro definition. 
	fix typo.

	* src/sizes.c: Add test.

	* src/gshell.c: Make it build
	
2006-10-14  Miguel de Icaza  <miguel@novell.com>

	* src/glib.h: add various _TO_LE and _FROM_LE macros.

	* test/endian.c: tests for endian conversion macros.

2006-10-09  Miguel de Icaza  <miguel@novell.com>

	* src/gmodule.h: Move definitions of gmodule to gmodule.h because
	Mono expects it there.

Mon Oct 9 12:59:16 CEST 2006 Paolo Molaro <lupus@ximian.com>

	* src/ghashtable.c: s/to_prime/g_spaced_primes_closest/g
	and put the array in readonly memory.
	* src/gstr.c: fixed the build and made array const.
	* src/gmodule.c: fixed thinko.

2006-10-08  Miguel de Icaza  <miguel@novell.com>

	* src/gstr.c (g_strdup): should allow NULL as an argument.

2006-10-08 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* test/string-util.c:
	* TODO:
	* src/gstr.c:
	* src/glib.h: implemented g_strescape.

2006-10-08 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* test/string-util.c:
	* configure.ac:
	* TODO:
	* src/gstr.c:
	* src/glib.h: implemented g_strlcpy.

2006-10-08 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* test/string-util.c:
	* TODO:
	* src/gstr.c:
	* src/glib.h: implemented g_strdelimit.

2006-10-07 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* test/spawn.c: add search path flag when running ls.
	* src/gspawn.c: g_spawn_command_line_sync searches the program in the
	PATH if it's not an absolute path.

2006-10-07 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* test/string-util.c:
	* src/glib.h: implement g_ascii_xdigit_value and tests.

2006-10-06  Miguel de Icaza  <miguel@novell.com>

	* src/gstr.c (g_ascii_strdown): Implement.

	* str/glib.c (g_log_set_handler): empty.
	(g_printerr): empty.
	(GMemVTable): define, empty, ignored.
	(G_USEC_PER_SEC) :-)

	* src/gunicode.c (g_convert): Add bytes_read, bytes_written
	support;   Small fixes to avoid valgrind errors. 
	
	(g_utf8_validate): Add, based on the libxml code.

	gstr.c: implement g_strdown. 

2006-10-05  Miguel de Icaza  <miguel@novell.com>

	* src/gunicode.c: Some work in progress to implement g_convert
	(which is needed by g_locale_to_utf8).    

2006-09-18  Miguel de Icaza  <miguel@novell.com>

	* test/string-util.c (test_filename_from_uri): tests for new
	methods.

	* src/gstr.c (g_filename_to_uri, g_filename_from_uri): implement. 

2006-09-14  Atsushi Enomoto  <atsushi@ximian.com>

	* src/gutf8.c, test/utf8.c : EOL fix.

2006-09-04  Miguel de Icaza  <miguel@novell.com>

	* src/gmarkup.c: The leak fixing commit.
	
	* src/gmarkup.c (g_markup_parse_context_end_parse): Add missing
	method. 
	(g_markup_parse_context_free): Implement. 
	(parse_attributes): Store the value, not the attribute name
	twice. 
	Properly check the /> section.
	(g_markup_parse_context_parse): When checking for error, use the
	"error!=NULL && *error != NULL" upon return from callbacks,
	it is only then that its valid to check for *error for error
	conditions. 
	(g_markup_parse_context_parse): Add comment processing.

	Only release one element of the list.

	* test/markup.c: Incorporate the kind of code that is used in Mono
	for domain loading;  Will test the rest later. 

2006-09-01  Miguel de Icaza  <miguel@novell.com>

	* src/gmarkup.c (g_markup_parse_context_parse): Add text parsing
	support, and end-element support; not tested yet.

2006-09-01 Atsushi Enomoto <atsushi@ximian.com>

	* gutf8.c : bad allocation size. multiply sizeof gchar/gunichar2.

2006-09-01 Atsushi Enomoto <atsushi@ximian.com>

	* gutf8.c : when error is null, utf8_to_utf16_len() and
	  utf16_to_utf8_len() could return -1, so return NULL for those
	  cases in g_utf8_to_utf16() and g_utf16_to_utf8().

2006-09-01  Miguel de Icaza  <miguel@novell.com>

	* src/gmarkup.c: Builds and does minimal parsing.

	* test/markup.c: Sample test cases I have been using

2006-08-31 Atsushi Enomoto <atsushi@ximian.com>

	* src/gerror.h,
	  src/gerror.c : added g_set_error().
	* src/gutf8.c :
	  g_utf8_to_utf16() and g_utf16_to_utf8() implementation.
	* src/glib.h : added all above, and some dependent bits.
	* src/Makefile.am : added gutf8.c.
	* TODO: removed above.
	* test/Makefile.am,
	  test/tests.h : added utf8 tests.
	* test/utf8.c : test for g_utf8_to_utf16 and g_utf16_to_utf8.
	  It still needs more tests e.g. for multibytes.

2006-08-31 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* src/gspawn.c: small touch-ups and make read/write EINTR-proof.

2006-08-31 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* test/file.c: remove useless test.

	* test/spawn.c: new g_spawn_async_with_pipes test.
	* src/glib.h: Modified file.
	* src/gspawn.c: implemented g_spawn_async_with_pipes. Needs fine tuning.

2006-08-28 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* TODO: Modified file.
	* test/tests.h:
	* test/pattern.c:
	* test/dir.c:
	* test/Makefile.am:
	* src/Makefile.am:
	* src/glib.h:
	* src/gdir.c:
	* src/gfile.c: implemented g_dir_*, unix version.

2006-08-27 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* src/glib.h:
	* test/Makefile.am: Modified file.
	* test/tests.h:
	* src/Makefile.am: Modified file.
	* test/pattern.c:
	* src/gpattern.c: implemented the 3 pattern matching functions used.

	* test/ptrarray.c: fix the compare function to work with qsort.

	* test/file.c:
	* test/path.c:
	* src/gspawn.c:
	* src/gpath.c: made valgrind happy.

2006-08-26 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* test/file.c:
	* src/glib.h:
	* src/gfile.c:  implemented g_file_test. Changed the default mask to
	.XXXXXX. Add tests.

2006-08-26  Raja R Harinath  <rharinath@novell.com>

	* src/sort.frag.h (digit): Declare here based on externally
	provided typedef 'list_node'.
	(MAX_DIGITS): Use 'sizeof (list_node)'.
	* src/gslist.c (list_node): Declare instead of 'digit'.
	* src/glist.c: Likewise.

	* test/slist.c (verify_sort): Verify the length of the list too.
	(test_slist_sort): Free the correct list.
	* test/list.c: Likewise.
	* src/sort.frag.h (MAX_DIGITS): Rename from N_DIGITS.
	(combine_sort): Change 'max_pos' argument to more natural
	'n_digits'.
	(increment): Likewise.  Use 'n_digits' to avoid reading at an
	offset that hasn't been initialized.
	(do_sort): Remove memset.

2006-08-25 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* TODO:
	* test/file.c:
	* src/glib.h:
	* src/gfile.c: implement g_file_open_tmp.

2006-08-25 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* TODO:
	* src/glib.h:
	* src/gdate.c: New file.
	* src/gfile.c: New file.
	* src/Makefile.am: implemented g_file_get_contents and
	g_get_current_time.

	* test/tests.h:
	* test/file.c: New file.
	* test/Makefile.am: tests for the above.

2006-08-26  Raja R Harinath  <rharinath@novell.com>

	* src/sort.frag.h: Add copyright notice and some explanation.
	(increment): Remove null check.
	(combine_digits): Add 'list' argument to seed the summation.
	(do_sort): Use the empty or singleton tail as the seed, rather
	than calling 'increment'.

2006-08-25  Raja R Harinath  <rharinath@novell.com>

	* TODO: Remove 'List' entries.
	* src/Makefile.am (libeglib_la_SOURCES): Add sort.frag.h.
	* src/sort.frag.h: New.  Implements a "generic" bottom-up "counting"
	mergesort that works both on singly- and doubly-linked lists.
	* src/gslist.c (g_slist_sort): Use it.
	* src/glist.c (g_list_sort): Likewise.
	* src/glib.h (g_slist_sort, g_list_sort): Declare.
	* test/slist.c, test/list.c: Add basic testcases.

2006-08-25 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* src/gspawn.c: propagate errors from reads.
	* src/gpath.c: an empty PATH is like a NULL one.

2006-08-25 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* test/tests.h:
	* test/timer.c:
	* test/Makefile.am:
	* TODO:
	* src/glib.h:
	* src/gtimer.c:
	* src/Makefile.am: implemented GTimer.

2006-08-25 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* test/tests.h:
	* test/Makefile.am:
	* test/spawn.c:
	* src/gspawn.c:
	* src/glib.h:
	* src/Makefile.am: initial implentation of g_spawn_command_line_sync.
	Still need better error handling, but works for the most part.

2006-08-25 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* src/garray.c: grow faster so that the 'big' test does not crawl.

2006-08-25 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* test/shell.c:
	* src/gqueue.c: plugged leaks.

2006-08-25 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* test/path.c:
	* src/gpath.c: when PATH is not defined, the current dir is used.
	See execvp(3).

2006-08-25  Alp Toker  <alp@atoker.com>

	* src/gstr.c: g_strv_length() should return guint, not gint
	* src/glib.h: Add g_strv_length() prototype
	
2006-08-24  Miguel de Icaza  <miguel@novell.com>

	* src/gpath.c (g_get_home_dir, g_get_tmp_dir, g_get_user_name,
	g_get_prgname, g_set_prgname): implemented.

	* test/ Fix leaks.
	
	* src/gpath.c (g_get_current_dir): Implement.

	(g_find_program_in_path, g_path_is_absolute): implement.
	
	Add g_path_get_dirname, g_path_get_basename

	* src/gpath.c: Path routines

2006-08-23  Miguel de Icaza  <miguel@novell.com>

	* src/gerror.c: Implement. 

	* src/glist.c (g_list_sort): Remove routine instead of hoping that
	it wont crash when we run it.

2006-08-23  Raja R Harinath  <rharinath@novell.com>

	* src/glist.c (g_list_insert_before): Avoid non-head declaration.

	* test/slist.c (test_slist_insert_before): Add.
	* src/gslist.c (g_slist_insert_before): Append if 'sibling' is null.

	* test/list.c (test_list_insert_before): Add test for return value
	of g_list_insert_before.
	* test/Makefile.am (test_eglib_LDADD): Refer to the .la file so as
	to rebuild test if eglib changes.
	* src/glist.c (new_node, disconnect_node): New helpers that
	maintain doubly-linked list invariants.
	(g_list_prepend, g_list_append): Express in terms of new_node.
	(g_list_insert_before): Likewise.  Fix return value when inserting
	in the middle of the list.
	(g_list_concat): Reorganize to make more compact.
	(g_list_nth): Likewise.
	(g_list_nth_data): Don't segfault if 'n' is too large.
	(g_list_remove): Rewrite using _find and disconnect_node.
	(g_list_remove_link): Don't traverse list: use disconnect_node.
	(g_list_insert_sorted): Rewrite to make more compact.  Use new_node.
	(g_list_copy): Likewise.
	(_prepend, _concat): Remove.
	* src/gslist.c (insert_after, find_prev, find_prev_link):
	New helpers.
	(g_slist_copy): Simplify slightly, using insert_after.
	(g_slist_concat): Reorganize to make more compact.
	(g_slist_find): Likewise.
	(g_slist_insert_sorted): Likewise.
	(g_slist_remove): Rewrite using find_prev.
	(g_slist_remove_link): Rewrite using find_prev_link.
	(g_slist_remove_all, g_slist_insert_before): New.

2006-08-21  Duncan Mak  <duncan@a-chinaman.com>

	* src/gqueue.c: GQueue implementation.
	* src/glib.h: Add prototypes.
	* src/Makefile.am (libeglib_la_SOURCES): Include gqueue.c.

	* test/queue.c: 	
	* test/Makefile.am (SOURCES):
	* test/tests.h (DEFINE_TEST_GROUP_INIT_H): add tests for GQueue.

2006-08-21  Aaron Bockover  <abockover@novell.com>

	* src/gstr.c: fixed bug/invalid read/write on malloc-only case (no
	realloc/delimiter token not found); use memcpy instead of strncpy for
	better performance

	* test/test.c (run_group): allow running specific tests under a group;
	added copied g_strsplit/g_strfreev from EGlib source as eg_strsplit
	and eg_strfreev to avoid performance skews in the driver
	
	* test/driver.c: allow user-specified group name to contain specific
	test to run under the group as 'group_name:test1,test2,...testN'

	* test/string-util.c: Added more g_strsplit tests

	* test/slist.c:
	* test/ptrarray.c:
	* test/fake.c:
	* test/string.c:
	* test/list.c:
	* test/array.c:
	* test/hashtable.c: make test names shorter (no need to prefix with
	the group since it runs under the group)

2006-08-21  Miguel de Icaza  <miguel@novell.com>

	* src/glib.h (g_hash_table_new_full): Add missing prototype.
	Replace g_free(x) with plain free, so it can be used as a function
	argument. 
	Add ABS

	* src/ghashtable.c: Add rehashing. 

	* test/hashtable.c: Add a bunch of extra tests.

	* src/goutput.c: Fix g_log so it actually formats the data. 

	* src/ghashtable.c (g_hash_table_new): The glib test suite
	uncovered a bunch of bugs, the g_hash_table_new should actually
	have parameters.

	(g_hash_table_remove, g_hash_table_foreach_remove): Fixed bugs
	uncovered. 

2006-08-20  Aaron Bockover  <abockover@novell.com>

	* src/gmisc.c: added g_setenv, g_getenv, g_unsetenv

	* src/gstr.c: added g_snprintf, g_sprintf, g_fprintf, g_printf

	* src/glib.h: added macros for above va_args printf functions

	* src/Makefile.am: added gmisc.c

	* test/whats-implemented: script to see what needs to be implemented

2006-08-20  Chris Toshok  <toshok@ximian.com>

	* test/array.c (test_array_big): add a test from the glib
	documentation.

2006-08-20  Chris Toshok  <toshok@ximian.com>

	* test/tests.h: add array tests to the mix.

	* test/array.c: a few array tests.

	* src/glib.h: add array prototypes.

	* src/garray.c: initial array foo.

	* test/Makefile.am (SOURCES): add array.c

	* src/Makefile.am (libeglib_la_SOURCES): add garray.c

2006-08-19  Aaron Bockover  <abockover@novell.com>

	* src/gstring.c: optimize and generalize reallocation by providing
	a GROW_IF_NECESSARY macro, do not use strcpy/strcat as they are 
	very, very slow; GString is now much closer to GLib's implementation
	in terms of performance

	* test/string.c: added speed-specific tests to beat on reallocation code

	* test/test-both: run make if the test drivers don't exist

2006-08-19  Jonathan Chambers  <jonathan.chambers@gmail.com>

	* src/gmodule.c: Add gmodule support for windows and fix
	windows build. Contribution is licensed as MIT/X11.
	
2006-08-19  Aaron Bockover  <abockover@novell.com>

	* test/driver.c: Added --debug mode that allows for testing all paths
	of the driver without actually running real tests; runs only the 'fake'
	test, which does nothing; useful for running the driver through valgrind

	* test/Makefile.am:
	* test/tests.h:
	* test/fake.c: Added fake test for valgrinding the driver

	* test/ptrarray.c: update sort test

2006-08-19  Aaron Bockover  <abockover@novell.com>

	* test/test-both: added --help

2006-08-19  Aaron Bockover  <abockover@novell.com>

	* test/driver.c: added -n mode to show only raw global run times,
	which is useful for scripts (test-both --speed-compare)

	* test/test-both: added --speed-compare mode

	* test/README: updated with information on --speed-compare

2006-08-19  Aaron Bockover  <abockover@novell.com>

	* test/test.c: do not print times if -t is not passed

	* test/driver.c: removed use of GList from the driver to avoid skews due
	to performance differences between GLib and EGLib
	
2006-08-19  Aaron Bockover  <abockover@novell.com>

	* test/test.c: Perform iterations at the test level, only output one
	report for all iterations of tests in a group to produce more usable
	output; add timing for the tests and group; added get_timestamp for
	easy code timing

	* test/test.h: Removed run_test as it should only be called from 
	run_group, added get_timestamp

	* test/Makefile.am: Added -DDRIVER_NAME 

	* test/test-both: simple script to run both drivers with the same options

	* test/driver.c: Iterations are now run at the test level, show a global
	status (OK/FAIL) indicator

	* test/README: Updated

	* configure.ac: Renamed from configure.in as configure.in naming 
	convention is deprecated in favor of configure.ac

	* autogen.sh: s/configure.in/configure.ac/

2006-08-19  Miguel de Icaza  <miguel@novell.com>

	* Makefile.am: Removed MAINTAINERCLEANFILES that was too
	aggresive, it failed make distcheck and the resulting tarball was
	not buildable.

	* src/glib.h: remove the various GPOINTER_TO_*, G*_TO_POINTER,
	GSIZE_FORMAT macros, and move them into src/eglib-config.h

	Moved also gssize and gsize to be arch specific.   This should fix
	the 32/64 problems that Jon Chambers reported. 

	* configure.in: test for pointer size, define the various values
	depending on 32 vs 32/64 worlds, might need further porting in the
	future. 

	Change package name to eglib

	* test/slist.c, test/list.c, test/hashtable.c: Update tests to use
	FAILURE macro.

	* test/string-util.c: fix leak for valgrind tests.

	* test/tests.h: New size test, for testing datatypes.

	* test/sizes.c: New tests.
	
2006-08-19  Aaron Bockover  <abockover@novell.com>

	* test/README: Added quick guide on adding new tests/groups to the 
	driver and some examples on how to perform various tests with the driver

2006-08-18  Aaron Bockover  <abockover@novell.com>

	* test/driver.c: Added getopt support and code timing, among other 
	nice features to make testing/profiling easier

	* test/test.c: Add support for suppressing output (quiet) and
	define RESULT, FAILED, and OK

	* src/glib.h:
	* src/glist.c: Added g_list_nth_data implementation

	* test/slist.c:
	* test/string-util.c:
	* test/ptrarray.c:
	* test/string.c:
	* test/hashtable.c:
	* test/list.c: Use RESULT, FAILURE, and OK for tests

2006-08-18  Miguel de Icaza  <miguel@novell.com>

	* src/gstring.c (g_string_truncate): Implement truncate. 
	(g_string_prepend): implement. 

	Fix various bugs uncovered by new tests. 

	* src/glib.h: introduce gssize type, the signed one.  Important. 

	* src/eglib-config.h (G_OS_): Add the G_OS_UNIX and G_OS_WIN32
	defines that we can use to check on the host OS.

2006-08-18  Aaron Bockover  <abockover@novell.com>

	* test/test.[ch]:
	* test/driver.c: Support pass/fail logging on tests to show group report

2006-08-18  Aaron Bockover  <abockover@novell.com>

	* test/test.c: 
	* test/test.h: Added result() to be used in place of g_strdup_printf(),
	it's shorter to write and allows the duped string to be freed safely;
	added license header to file

	* test/driver.c: Added license header to file

	* test/string-util.c:
	* test/ptrarray.c:
	* test/string.c:
	* test/list.c: Use result() in place of g_strdup_printf(), it's nicer

2006-08-18  Aaron Bockover  <abockover@novell.com>

	* src/gptrarray.c: Implemented g_ptr_array_sort

	* test/ptrarray.c: Added sort test
	
	* test/driver.c: Added --help; support running N iterations and allow
	selecting which test groups to run; uses the test group table in tests.h
	
	* test/tests.h: Added group table
	
	* test/test.h:
	* test/test.c: Using a Group structure and table, removed run_groups
	as we only need run_group now

	* test/slist.h: Removed, not needed, tests/groups defined in tests.h

2006-08-18  Miguel de Icaza  <miguel@novell.com>

	* src/unicode.c: New file, to host unicode code, it will throw as
	this code is no longer used in the Mono runtime anyways.
	
	* src/glib.h: Use stdint.h types, a lot of the good stuff is
	replicated by glib.

2006-08-18  Duncan Mak  <duncan@a-chinaman.com>

	* src/glist.c (g_list_remove, g_list_remove_link): Implemented.	

	* src/gslist.c (g_slist_remove): Remember to set the next pointer
	to NULL when the item to remove is the first item in the list.
	
2006-08-18  Duncan Mak  <duncan@a-chinaman.com>

	* src/glist.c: Implemented. Missing remove,
	remove_link and insert_before.

	* test/list.c: Tests for GList.

2006-08-17  Aaron Bockover  <abockover@novell.com>

	* src/gptrarray.c: Implemented g_ptr_array_remove and 
	g_ptr_array_remove_index

	* test/other: Removed, rewritten in Makefile.am

	* test/Makefile.am: Build test-eglib against local eglib and 
	test-glib against GLib 2.0 (replaces 'other')

	* test/ptrarray.c: Added tests for g_ptr_array_remove and
	g_ptr_array_remove_index

2006-08-17  Duncan Mak  <duncan@a-chinaman.com>

	* src/gslist.c: Added MIT license.
	(g_slist_insert_sorted): Forgot the case where the data is
	appended to the end of the list.

	* test/slist.c (test_slist_insert_sorted): Fix the test.	

2006-08-17  Aaron Bockover  <abockover@novell.com>

	* src/gptrarray.c: Added g_ptr_array_set_size implementation

	* test/ptrarray.c: Added test for g_ptr_array_set_size

2006-08-17  Miguel de Icaza  <miguel@novell.com>

	* src/glib.h: A handful of extra macros

	* configure.in, src/eglib-config.h.in: Set some system-specific
	settings that are probed at configure time.

2006-08-17  Aaron Bockover  <abockover@novell.com>

	* src/gptrarray.c: Added beginnings of GPtrArray (alloc, free, add, iterate)

	* src/glib.h: Added GPtrArray signatures

	* src/Makefile.am: Added gptrarray.c to build

	* test/ptrarray.c:
	* test/tests.h:
	* test/driver.c:
	* test/Makefile.am: Add ptrarray tests for available functionality

2006-08-17  Aaron Bockover  <abockover@novell.com>
	
	* test/test.h: 
	* test/test.c: Added group iterator/test driver functionality
	
	* test/driver.c: Added groups to run using new test functionality
	
	* test/slist.h:
	* test/hashtable.h:
	* test/string-util.h: Test group definitions for string util/hashtable

	* test/slist.c:
	* test/str.c: 
	* test/hash.c: Added test definition table 

	* test/Makefile.am: Added -Wall -Werror -D_FORTIFY_SOURCE=2

	* src/gstr.c: Added implementation for g_str_has_prefix, g_str_has_suffix

	* src/glib.h: Added missing function signatures

	* src/Makefile.am: added -D_FORTIFY_SOURCE=2 

2006-08-17  Duncan Mak  <duncan@a-chinaman.com>

	* src/gslist.c (g_slist_remove_link): I misread the function
	signature. Re-implemented.
	(g_slist_delete_link): Implemented.
	(g_slist_reverse): Implemented.
	(g_slist_insert_sorted): Implemented.

2006-08-17  Duncan Mak  <duncan@a-chinaman.com>

	* src/gslist.c (g_slist_find): 
	(g_slist_length):
	(g_slist_remove):
	(g_slist_remove_link): Implemented.

	* test/slist.c: Tests for GSList.

2006-08-17  Raja R Harinath  <harinath@gmail.com>

	* src/gslist.c (g_slist_free_1): New.  Free a single list node.
	(g_slist_free): Use it to free the list nodes.  Don't free the
	data, since the list doesn't own it.
	(g_slist_append): Convert into a one-liner.
	(g_slist_foreach): Remove redundant null check.
	(g_slist_last): Actually return the last node.
	(g_slist_copy): Simplify.
	* src/gslist.h (g_slist_free_1): Add.

2006-08-16  Duncan Mak  <duncan@a-chinaman.com>

	* src/gslist.c:

	* src/gslist.h: First attempt at implementing GSList, incomplete.

	* src/Makefile.am (libeglib_la_SOURCES): add gslist.c
	* src/glib.h: Add GFunc definition. #include the new gslist.h.

2006-08-16  Miguel de Icaza  <miguel@novell.com>

	* src/Makefile.am: Added -Wall,-Werror, corrected lots of
	mistakes.

	* src/gstring.c: Gstring implementation.

	* test/str.c (test_gstring): string tests.

2006-08-16  Aaron Bockover  <abockover@novell.com>

	* src/gstr.c: Added g_strsplit implementation

	* test/driver.c: Run the split test

	* test/str.c: Added a test for g_strsplit

	* Makefile.am:
	* src/Makefile.am:
	* test/Makefile.am: Added MAINTAINERCLEANFILES

2006-08-16  Miguel de Icaza  <miguel@novell.com>

	* src/gouput.c: Implement some output routines, update missing
	progress. 

	* test: Add test driver, and initial tests. 

2006-08-15  Miguel de Icaza  <miguel@novell.com>

	* src/ghashtable.c: Implement most of this, it is completely
	untested at this point.



